Nav

Anypoint Connector DevKit 3.6.1 Release Notes

March 27, 2015

Compatibility

Software Version

Mule ESB Runtime

3.6.x

Anypoint Studio

5.0.2 and later

Migrating from 3.5?

New Features

  • Support for external libraries: Externally required JARs dependencies can now be defined as a required runtime dependency. This forces a user to install them before executing a connector. For more information, see Adding Native Libraries and JARs to a Connector Build.

  • Long text configuration: The inclusion of @Text annotation enables the configuration of long multi-line configurations on global elements.

  • Improve Connector Site Generation: Site generation has been revamped including not just the API documentation but also on demo projects and multiple versions.

  • Support for Select connector category: This extends the previously supported categories of Community, Standard, and Premium. You can view Select category connectors in Anypoint Exchange.

  • Cleaned up WARNINGS during compilation: Several improvements has been included to remove confusing WARNING reports during connector compilation.

  • Functional Interop Error Report: Several improvements have been added for when an error is reported by adding more details about it.

Known Issues

DevKit 3.6.1 is fully compatible with DevKit 3.6.0; however, new functional test practices are now enforced in the data definition. TestRunMessage maps where a beanId doesn’t follow the <operationName>TestData convention are placed in the MuleEvent payload at flow invocation instead of having their keys turned into flowVars.

See Also

  • Access MuleSoft’s Forum to pose questions and get help from Mule’s broad community of users.

  • To access MuleSoft’s expert support team, subscribe to Mule ESB Enterprise and log in to MuleSoft’s Customer Portal.